/**
 * OWASP CSRFTester
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * Copyright (c) 2007 - The OWASP Foundation
 * 
 * The CSRFTester is published by OWASP under the LGPL. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author <a href="http://www.aspectsecurity.com">Aspect Security</a>
 * @created 2007
 */

package org.owasp.csrftester;

import java.io.IOException;

/**
 *
 * @author jwilliams
 */
public class CSRFTester {
    private CSRFTesterModel model = new CSRFTesterModel();
    private CSRFTesterUI ui = new CSRFTesterUI( model );

    private static CSRFTester instance = new CSRFTester();
    
    /** Creates a new instance of CSRFTester */
    public CSRFTester() {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                int x = 100;
                int y = 100;
                ui.setLocation( x, y );
                ui.setVisible(true);
            }
        });
    }
    
    public boolean isRecording() {
        return ui.isRecording();
    }

    
    public void addHttpRequest( String stepName, String method, String url, String params, int pause )
    {
        if ( ui.isRecording() )
        {
            model.addHttpRequest( stepName, method, url, params, pause );
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        CSRFTester csrfTester = CSRFTester.getInstance();
        try {
            Proxy proxy = new Proxy();
            csrfTester.ui.setStatus( false, "Proxy started on port 8008" );
        } catch( IOException e ) {
        	csrfTester.ui.setStatus( true, e.getMessage() );
            System.exit( -1 );
        }
    }

    public static CSRFTester getInstance()
    {
    	return instance;
    }
    
}
