/**
 * OWASP CSRFTester
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * Copyright (c) 2007 - The OWASP Foundation
 * 
 * The CSRFTester is published by OWASP under the LGPL. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author <a href="http://www.aspectsecurity.com">Aspect Security</a>
 * @created 2007
 */

package org.owasp.csrftester;

import javax.swing.table.DefaultTableModel;
/**
 *
 * @author jwilliams
 */
public class CSRFTesterListTableModel extends DefaultTableModel
{
    public CSRFTesterListTableModel (String title)
    {
        super(
            new Object [][] {},
            new String [] { title }
        );
    }
            
    public String getParams() {
        StringBuffer sb = new StringBuffer();
        for ( int i=0; i<getRowCount(); i++ ) {
            String value = ((String)this.getValueAt( i, 0 )).trim();
            if ( value != null && value.length() > 0 ) {
                sb.append( value );
                sb.append( "&" );
            }
        }
        // last value in the list may be empty to accomodate a slot to add in
        // so trim off any trailing ampersands
        String result = sb.toString();
        if ( result.endsWith( "&" ) ) {
            result = result.substring( 0, result.length() - 1);
        }
        return result;
    }
}
