/**
 * OWASP CSRFTester
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * Copyright (c) 2007 - The OWASP Foundation
 * 
 * The CSRFTester is published by OWASP under the LGPL. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author <a href="http://www.aspectsecurity.com">Aspect Security</a>
 * @created 2007
 */

package org.owasp.csrftester;

import java.awt.Container;
import java.awt.GridLayout;
import java.text.Normalizer;
import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 *
 * @author jwilliams
 */
public class NormalizerTest extends javax.swing.JApplet {
    
    public static void main(String[] args) {
        JApplet applet = new NormalizerTest();
        applet.init();
        JFrame frame = new JFrame("NormalizerTest");
        frame.getContentPane().add(applet);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.pack();
        frame.setSize( 400, 400 );
        frame.setVisible( true );
    }
    
    public void init() {
        Container c = getContentPane();
        c.setLayout( new GridLayout(6,1) );
        
        String s1 = "   _ @ \" < > \u20A0";   // the last one is the Euro symbol
        System.out.println( s1 );
        c.add( new JLabel( "\nInput: " + s1 ));

        String s2 = Normalizer.normalize(s1, Normalizer.Form.NFD );
        System.out.println( s2 );
        c.add( new JLabel( "\nNormalized: " + s2 ));
        
        String s3 = s2.replaceAll("[^\\p{ASCII}]","");
        System.out.println( s3 );
        c.add( new JLabel( "\nASCII: " + s3 ));

        String s4 = s2.replaceAll("[^\\p{Alnum}]","");
        System.out.println( s4 );
        c.add( new JLabel( "\nAlnum: " + s4 ));        
    }
    
    public void start() {
    }
    
}
