/**
 * OWASP CSRFTester
 * 
 * This file is part of the Open Web Application Security Project (OWASP)
 * Copyright (c) 2007 - The OWASP Foundation
 * 
 * The CSRFTester is published by OWASP under the LGPL. You should read and accept the
 * LICENSE before you use, modify, and/or redistribute this software.
 * 
 * @author <a href="http://www.aspectsecurity.com">Aspect Security</a>
 * @created 2007
 */

package org.owasp.csrftester.report;

import java.io.IOException;
import java.io.File;
import org.owasp.csrftester.BrowserLaunch;
import org.owasp.csrftester.CSRFTesterModel;

public class FrameReport extends ReportAdapter
{
	/**
	 * DEVNOTE: This appears to only work on FireFox
	 */
	protected FrameReport()
	{
		
	}
	
	public String generateHtml(CSRFTesterModel model, File dir) throws IOException
	{
		String html = getFrameHtml(model);
		String content = getContent("/resources/FrameTemplate.html");
		
		content = content.replace("<%ATTACK%>", html);
		writeFile(dir, "index.html", content);
		return "file://" + dir.getPath() + "/index.html";
	}
	
	private String getFrameHtml(CSRFTesterModel model)
	{
		StringBuffer sb = new StringBuffer();
		int count = model.getRowCount();
		
		for(int i=0; i<count; i++)
		{
			sb.append("evilframe.document.body.innerHTML=\r\n");
			sb.append("\'<form method=\"" + model.getMethod(i) + "\" id=\"evil\" name=\"evil\" action=\"" + model.getURL(i) + "\">' + \r\n");
			String paramHtml = getParametersAsHtmlInput(model, i, true);
			sb.append(paramHtml);
			sb.append("'</form>';\r\n");
			sb.append("evilframe.document.evil.submit();\r\n");
			sb.append("delay(" + model.getPause(i) + ");\r\n");
		}
		
		return sb.toString();
	}
}
